#include <bits/stdc++.h>
#define ll long long
#define endl '\n'

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false); cin.tie(0);
    ll N, K;
    cin >> N >> K;
    vector <ll> D(K), res(K);
    for(int i = 0; i < K; i++) cin >> D[i];
    for(int i = 0; i < K; i++)
    {
        ll num = D[i];
        for(int j = 0; j < K; j++)
        {
            if(D[j] % num == 0) res[j] ^= num;
        }
    }
    for(int i = 0; i < K; i++) cout << res[i] << " ";
    return 0;
}